Package org.apache.sling.api.resource.external

# Enum Class URIProvider.Operation

java.lang.Object
java.lang.Enum<URIProvider.Operation>
org.apache.sling.api.resource.external.URIProvider.Operation

All Implemented Interfaces:
  `Serializable`, `Comparable<URIProvider.Operation>`, `Constable`

Enclosing interface:
  URIProvider

public static enum URIProvider.Operation extends Enum<URIProvider.Operation>
Defines which operation the URI may be used to perform.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CREATE`
The URI may be used to create resources at the resource identified by the Resource.
`DELETE`
The URI may be used to delete the resource.
`READ`
The URI may be used to read the resource.
`UPDATE`
The URI may be used to update the resource.

## Method Summary

Modifier and Type
Method
Description
`static URIProvider.Operation`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static URIProvider.Operation[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### CREATE

public static final URIProvider.Operation CREATE
The URI may be used to create resources at the resource identified by the Resource.

### READ

public static final URIProvider.Operation READ
The URI may be used to read the resource.

### UPDATE

public static final URIProvider.Operation UPDATE
The URI may be used to update the resource.

### DELETE

public static final URIProvider.Operation DELETE
The URI may be used to delete the resource.

## Method Details

### values

public static URIProvider.Operation[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static URIProvider.Operation valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null